---     
tags: 
  - Satbots
description: Creates a Satbot.  
  <br/>Use the /satbots/types endpoint to find available `satbot_types`
  <br/>`priority` can be 1 (low), 2 (medium), 3 (high) or 99 (urgent)
  <br/>The parameters are validated for the Satbot.  If the Satbot requires no parameters, send an empty object.
  <br/><br/>User must be an admin.  
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: body
    name: body
    type: object
    required: true
    schema:
      example: {
        "satbot_type": 60, 
        "priority": 1,
        "parameters": {
            "--database": "uk",
            "--frame-id": "000A_blah",
            "--hr-file": "/nas1/frames/000A_blah/000A_blah.h5",
            "--rural-file": "/nas1/frames/000A_blah/000A_blah-rural.h5"
        }
      }
produces: 
  - 'application/json'
responses:
  200:
    schema:
      type: object
      example: {
          "id": 1
      }
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'Unauthorised'

